Bug 134688 - Ports update: www/hiawatha
Summary: Ports update: www/hiawatha
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-19 00:10 UTC by Hugo Leisink
Modified: 2009-05-31 14:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hugo Leisink 2009-05-19 00:10:00 UTC

    
Comment 1 Dmitry Marakasov freebsd_committer 2009-05-19 12:58:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-05-19 16:46:16 UTC
State Changed
From-To: open->feedback

Does not build WITH_XSLT: 
http://people.freebsd.org/~amdmi3/hiawatha-xslt-6.13.log
Comment 3 Hugo Leisink 2009-05-23 14:33:15 UTC
Hereby the new patch for Hiawatha 6.13



diff -u hiawatha-6.11/Makefile hiawatha-6.13/Makefile
--- hiawatha-6.11/Makefile      2009-01-20 08:22:41.000000000 +0000
+++ hiawatha-6.13/Makefile      2009-05-23 15:05:26.000000000 +0000
@@ -6,7 +6,7 @@
 #

 PORTNAME=      hiawatha
-PORTVERSION=   6.11
+PORTVERSION=   6.13
 CATEGORIES=    www
 MASTER_SITES=  http://www.hiawatha-webserver.org/files/

@@ -21,9 +21,14 @@

 USE_RC_SUBR=   hiawatha
 SUB_FILES=     pkg-message
+WANT_GNOME=     yes

 GNU_CONFIGURE= yes
 CONFIGURE_ARGS=        --localstatedir=/var webrootdir=${WWWDIR}
+CONFIGURE_ENV= CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
+
+CPPFLAGS=      -I${LOCALBASE}/include
+LDFLAGS=       -L${LOCALBASE}/lib

 OPTIONS=       COMMAND "Enable the Hiawatha CommandChannel" Off \
                CACHE "Internal file caching support" On \
@@ -56,6 +61,8 @@

 .if defined(WITH_XSLT)
 CONFIGURE_ARGS+=       --enable-xslt
+USE_GNOME+=            libxslt
+CPPFLAGS+=             -I${LOCALBASE}/include/libxml2
 .endif

 post-install:
diff -u hiawatha-6.11/distinfo hiawatha-6.13/distinfo
--- hiawatha-6.11/distinfo      2009-01-20 08:22:41.000000000 +0000
+++ hiawatha-6.13/distinfo      2009-05-18 23:52:23.000000000 +0000
@@ -1,3 +1,3 @@
-MD5 (hiawatha-6.11.tar.gz) = 598b225113ef15a84a3ed7f76c1f776f
-SHA256 (hiawatha-6.11.tar.gz) = 
aa743f140c95e85cd5643537cafe1b04f362d97f17a01fb0c3e200268d5b1570
-SIZE (hiawatha-6.11.tar.gz) = 248371
+MD5 (hiawatha-6.13.tar.gz) = bc1e8eb679f03ad372395bbc1e50af38
+SHA256 (hiawatha-6.13.tar.gz) = 
de290133f9d4766c27db6aedc5559883af3a5da7b0e7d97749a45ade74d7ae9b
+SIZE (hiawatha-6.13.tar.gz) = 249870
Common subdirectories: hiawatha-6.11/files and hiawatha-6.13/files



greetings,
Hugo
Comment 4 Dmitry Marakasov freebsd_committer 2009-05-31 14:19:00 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2009-05-31 14:23:05 UTC
amdmi3      2009-05-31 13:18:56 UTC

  FreeBSD ports repository

  Modified files:
    www/hiawatha         Makefile distinfo 
  Log:
  - Update to 6.13
  - Fix libxslt dependency
  
  PR:             134688
  Submitted by:   Hugo Leisink <hugo@leisink.net>
  
  Revision  Changes    Path
  1.15      +8 -1      ports/www/hiawatha/Makefile
  1.13      +3 -3      ports/www/hiawatha/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"